<style>
    .validationMessage {
        color: red;
        font-size: 9pt;
        float: left;
    }
</style>

<div class="modal fade " id="add-error-modal">
    <div class="modal-dialog modal-ku">
        <div class="modal-content padding-25">
            <div class="modal-header">
                <h4>Add error</h4>
            </div>
            <form class="" name="userForm" novalidate>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-6 form-group row"
                             ng-class="{ 'has-error' : userForm.pentest_name.$invalid && userForm.pentest_name.$touched  }">
                            <label for="error-code" class="col-md-3 required">Pentest</label>
                            <input name="pentest_name" type="text" id="pentestBo-name" class="form-control col-md-9"
                                   required
                                   ng-model="pentestName" ng-disabled="isCreated!=0"/>
                            <span class="col-md-9 offset-3 validationMessage"
                                  ng-show="userForm.pentest_name.$invalid && userForm.pentest_name.$touched "
                                  style="color:red; padding: unset;">
                                Required
                            </span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 form-group row"
                             ng-class="{ 'has-error' : userForm.error_code.$invalid && userForm.error_code.$touched  }">
                            <label for="error-code" class="col-md-3 required">Error code</label>
                            <input type="text" id="error-code" name="error_code" ng-model="error.code"
                                   class="form-control col-md-9"
                                   required>
                            <span class="col-md-9 offset-3 validationMessage"
                                  ng-show="userForm.error_code.$invalid && userForm.error_code.$touched "
                                  style="padding: unset;">
                                Required
                            </span>
                        </div>
                        <div class="col-md-6 form-group row"
                             ng-class="{ 'has-error' : userForm.error_name.$invalid && userForm.error_name.$touched  }">
                            <label for="error-name" class="col-md-3 required">Error name</label>
                            <input type="text" id="error-name" name="error_name" ng-model="error.name"
                                   class="form-control col-md-9"
                                   required>
                            <span class="col-md-9 offset-3 validationMessage"
                                  ng-show="userForm.error_name.$invalid && userForm.error_name.$touched "
                                  style="padding: unset;">
                                Required
                            </span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 form-group row"
                             ng-class="{ 'has-error' : userForm.vulnerability.$invalid
                             && userForm.vulnerability.$touched  }">
                            <label for="multi-level-input" class="col-md-3 required">Vulnerability</label>
                            <multi-level-input
                                    class="col-md-9"
                                    id="multi-level-input"
                                    root-data="vulnerabilities.rootData"
                                    first-array="vulnerabilities.categories"
                                    model="vulnerabilities.entry"
                                    style="padding: unset;"
                                    required
                                    on-change="onChangeVulnerabilities">
                            </multi-level-input>
                            <span class="col-md-9 offset-3 validationMessage"
                                  ng-show="userForm.vulnerability.$invalid && userForm.vulnerability.$touched "
                                  style="padding: unset;">
                                Required
                            </span>
                        </div>
                        <div class="col-md-6 form-group row">
                            <label for="danger-level" class="col-md-3 ">Danger level</label>
                            <select name="" id="danger-level"
                                    class="form-control col-md-9"
                                    ng-model="error.level">
                                <option value="1">SERIOUS</option>
                                <option value="2">HIGH</option>
                                <option value="3">MEDIUM</option>
                                <option value="4">LOW</option>
                                <option value="5">INFO</option>
                                <option value="6">VARIES</option>

                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 form-group row">
                            <label for="module-system-name" class="col-md-3">Module system name</label>
                            <input type="text" id="module-system-name" ng-model="error.module_system_id"
                                   class="form-control col-md-9">
                        </div>
                    </div>
                    <div class="row form-group">
                        <label for="module-system-name" class="col-md-2">Description</label>
                        <div class="col-md-10">
                            <textarea type="text" id="description"  ng-model="error.error_description"
                                      class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label for="module-system-name" class="col-md-2">Error location</label>
                        <div class="col-md-9">
                            <table class="table table-hover table-striped table-bordered">
                                <thead>
                                <tr>
                                    <th class="text-center">ID</th>
                                    <th>Url/File</th>
                                    <th>Error location</th>
                                    <th>Note</th>
                                    <th class="text-center">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="errorLocation in error_location">
                                    <td class="text-center">{{$index + 1}}</td>
                                    <td>
                                        <span ng-show="errorLocation.showText">{{errorLocation.url}}</span>
                                        <input ng-show="!errorLocation.showText" type="text" class="width-100"
                                               ng-model="errorLocation.url">
                                    </td>
                                    <td>
                                        <span ng-show="errorLocation.showText">{{errorLocation.location}}</span>
                                        <input ng-show="!errorLocation.showText" type="text" class="width-100"
                                               ng-model="errorLocation.location"></td>
                                    <td>
                                        <span ng-show="errorLocation.showText">{{errorLocation.note}}</span>
                                        <input ng-show="!errorLocation.showText" type="text" class="width-100"
                                               ng-model="errorLocation.note"></td>
                                    <td class="text-center">
                                        <div>
                                            <span class="pointer font-size-18" ng-show="!errorLocation.showText"
                                                  ng-click="saveErrorLocation($index)">
                                               <i class="ti-save"></i>
                                            </span>
                                            <span class="pointer font-size-18" ng-click="removeErrorLocation($index)">
                                               <i class="ti-trash"></i>
                                            </span>

                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="col-md-1 text-right">
                            <button class="btn btn-dropbox no-b-r" ng-click="addErrorLocation()">
                                <span>
                                    <i class="ti-plus"></i>
                                </span>
                            </button>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label for="module-system-name" class="col-md-2">Risk</label>
                        <div class="col-md-10">
                            <textarea type="text" id="risk" ng-model="error.risk"
                                      class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label for="module-system-name" class="col-md-2">Step</label>
                        <div class="col-md-10">
                            <textarea type="text" id="step" ng-model="error.step"
                                      class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label for="module-system-name" class="col-md-2">Reason</label>
                        <div class="col-md-10">
                            <textarea type="text" id="reason" ng-model="error.reason"
                                      class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label for="module-system-name" class="col-md-2">Solution</label>
                        <div class="col-md-10">
                            <textarea type="text" id="solution" ng-model="error.solution"
                                      class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label for="module-system-name" class="col-md-2">File</label>
                        <div class="col-md-10">
                            <input type="file" id="upload-file" ng-hide=""
                                   multiple
                                   ngf-select="uploadFiles($files)"
                                   name="upload-file"
                                   accept="/*"
                                   ngf-max-size="2MB"
                                   ngf-model-invalid="errorFile">

                            <table class="table table-hover table-striped table-bordered mrg-top-20">
                                <thead>
                                <tr>
                                    <th class="text-center">ID</th>
                                    <th>File name</th>
                                    <th>Description</th>
                                    <th class="text-center">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="errorFile in lstFiles">
                                    <td class="text-center">{{$index + 1}}</td>
                                    <td>
                                        <a href="" ng-click="downloadErrorFile(errorFile)">
                                            <span>{{ errorFile.name }}</span>
                                        </a>
                                    </td>
                                    <td>
                                        <span ng-show="errorFile.showText">{{errorFile.description}}</span>
                                        <input ng-show="!errorFile.showText" type="text" class="width-100"
                                               ng-model="errorFile.description">
                                    </td>
                                    <td class="text-center">
                                        <div>
                                            <span class="pointer font-size-18" ng-click="removeErrorFile($index)">
                                               <i class="ti-trash"></i>
                                            </span>

                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                </div>
                <div class="modal-footer no-border">
                    <div class="text-right">
                        <button class="btn btn-default btn-sm" data-dismiss="modal">Cancel</button>
                        <button class="btn btn-primary btn-sm" ng-click="save(userForm.$valid)">OK</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>